import peewee

from data_collector import settings


def get_db():
    return peewee.SqliteDatabase(settings.DATABASE)


class Event(peewee.Model):
    title = peewee.CharField()
    start_datetime = peewee.DateTimeField()
    end_datetime = peewee.DateTimeField()
    url = peewee.CharField()
    location = peewee.CharField()
    processed = peewee.BooleanField()

    class Meta:
        database = get_db()
        indexes = ((("title", "start_datetime", "end_datetime", "url"), True),)


def initialize_db():
    db = get_db()
    db.connect(reuse_if_open=True)
    db.create_tables(
        [
            Event,
        ]
    )
    return db
